ManagementException (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.ManagementException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management
Class ManagementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.module.management.ManagementException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JmxManagementException

    public abstract class ManagementException

extends MuleException

`ManagementException` is a general exception thrown by management extensions.

See Also:
  Serialized Form

Constructor Summary
`protected` | `ManagementException(Message message)`
`protected` | `ManagementException(Message message, Throwable cause)`
`protected` | `ManagementException(Throwable cause)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ManagementException

    protected ManagementException(Message message)

Parameters:
  `message` - the exception message

### ManagementException

    protected ManagementException(Message message,
                                  Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### ManagementException

    protected ManagementException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.